# opkg – Package manager for OpenWrt

- Synopsis
- Requirements
- Parameters
- Examples
- Status

## Synopsis

- Manages OpenWrt packages

## Requirements

The below requirements are needed on the host that executes this module.

- opkg
- python

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

force
-

Choices:
- depends
- maintainer
- reinstall
- overwrite
- downgrade
- space
- postinstall
- remove
- checksum
- removal-of-dependent-packages

Default:
"absent"

opkg --force parameter used

name - / required |  | name of package to install/remove

state
-

Choices:
- present ←
- absent

state of the package

update_cache
boolean

Choices:
- no ←
- yes

update the package db first

## Examples

    - opkg:
        name: foo
        state: present

    - opkg:
        name: foo
        state: present
        update_cache: yes

    - opkg:
        name: foo
        state: absent

    - opkg:
        name: foo,bar
        state: absent

    - opkg:
        name: foo
        state: present
        force: overwrite

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Patrick Pelletier (@skinp)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.